## cinder 7.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6
anyjson>=0.3.3
Babel>=1.3
enum34;python_version=='2.7' or python_version=='2.6'
eventlet>=0.17.4
greenlet>=0.3.2
iso8601>=0.1.9
keystonemiddleware>=2.0.0
kombu>=3.0.7
lxml>=2.3
netaddr!=0.7.16,>=0.7.12
oslo.config>=2.3.0 # Apache-2.0
oslo.concurrency>=2.3.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=2.4.1 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
oslo.middleware>=2.8.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.reports>=0.1.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
oslo.versionedobjects>=0.9.0
osprofiler>=0.3.0 # Apache-2.0
paramiko>=1.13.0
Paste
PasteDeploy>=1.5.0
pycrypto>=2.6
pyparsing>=2.0.1
python-barbicanclient>=3.3.0
python-glanceclient>=0.18.0
python-novaclient>=2.28.1
python-swiftclient>=2.2.0
requests>=2.5.2
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7'
Routes!=2.0,>=1.12.3;python_version!='2.7'
taskflow>=1.16.0
rtslib-fb>=2.1.41
six>=1.9.0
SQLAlchemy<1.1.0,>=0.9.9
sqlalchemy-migrate>=0.9.6
stevedore>=1.5.0 # Apache-2.0
suds-jurko>=0.6
WebOb>=1.2.3
oslo.i18n>=1.5.0 # Apache-2.0
oslo.vmware>=1.16.0 # Apache-2.0
os-brick>=0.4.0 # Apache-2.0

=== debian/changelog ===
cinder (2:7.0.0-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Nov 2015 14:54:34 +0100

cinder (2:7.0.0-4) unstable; urgency=medium

  * Added q-text-as-data as depends for cinder-api.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:32:01 +0000

cinder (2:7.0.0-3) unstable; urgency=medium

  * Using Keystone API v3 to register in the catalog.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Nov 2015 18:19:42 +0000

cinder (2:7.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 13:44:00 +0000

cinder (2:7.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Setup both v1 and v2 endpoints.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 15:49:18 +0200

cinder (2:7.0.0~rc2-1) experimental; urgency=medium

  * cinder-api depends on python-openstackclient.
  * cinder-api also registering the volumev2 type.
  * Fixed cinder.conf generation:
    - Fixed the default path for lock_path.
    - Added upstream patch for fixing config file generation.
    - Manually set enabled_backends = lvm, and appends a [lvm] section to set
      the LVM backend as default.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Sep 2015 13:23:42 +0000

cinder (2:7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refresh patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Sep 2015 10:01:08 +0200

cinder (2:7.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Align with MOS packaging:
    - Bumped EPOCH to 2 instead of 1.
    - Some Ubuntu version lower bounds for dependencies.
    - Added a cinder-doc package.
  * Fixed (build-)depends for this release.
  * Refreshed disable-zfs-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Sep 2015 13:56:21 +0200

cinder (1:7.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.
  * Fixed OSLO_PACKAGE_VERSION for last PBR version.
  * Disable zfs tests.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Jul 2015 09:41:59 +0200

cinder (2015.1.0+2015.06.16.git26.9634b76ba5-3) unstable; urgency=medium

  * Rebuilt for sqlalchemy 1.0.6.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Jul 2015 02:21:46 +0000

cinder (2015.1.0+2015.06.16.git26.9634b76ba5-2) unstable; urgency=medium

  * Fixed changelog regarding CVE number: CVE-2015-1851 and not
    CVE-2015-1850 (Closes: #789349).

 -- Thomas Goirand <zigo@debian.org>  Sun, 21 Jun 2015 14:21:31 +0000

cinder (2015.1.0+2015.06.16.git26.9634b76ba5-1) unstable; urgency=high

  * New upstream release (based on commit 26th g9634b76):
    - Addresses CVE-2015-1851 / OSSA 2015-011 (Closes: #788996).

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jun 2015 22:36:48 +0200

cinder (2015.1.0+2015.06.06.git24.493b6c7f12-1) unstable; urgency=medium

  * New upstream release (basing on commit 24th 2015.06.06 493b6c7f12).
  * Fixed debian/watch file to read from correct cinder project and not Nova.
  * Fixed config file generation taking patches from upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 May 2015 23:07:24 +0200

cinder (2015.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed gbp.conf.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2015 21:33:43 +0000

cinder (2015.1~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Updated (build-)depends for this release.
  * Now generates cinder.conf on the fly.
  * Added Fix_borked_StorPool_driver.patch

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Apr 2015 23:48:10 +0200

cinder (2014.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Now depends on openstack-pkg-tools (>= 20~) to avoid systemd issues with
    previous versions.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Dec 2014 08:59:02 +0000

cinder (2014.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Oct 2014 15:23:17 +0000

cinder (2014.2~rc2-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.
  * Switching to templated init scripts using openstack-pkg-tools >= 13.
  * Mangling upstream rc and beta versions in watch file.
  * Now using a single cinder-common.logrotate file instead of so many.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Oct 2014 14:23:48 +0800

cinder (2014.2~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends for this release.
  * Added more lintian-override for false positive about unused debconf
    templates.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2014 15:43:51 +0800

cinder (2014.2~b3-2) experimental; urgency=medium

  * Fixed the DB connection directive name and section.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Sep 2014 18:50:02 +0800

cinder (2014.2~b3-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * New (build-)depends for this release.
  * Removes usr/bin/cinder-rpc-zmq-receiver fron cinder-common.install,
    as its gone upstream (moved into Oslo, it seems).

  [ gustavo panizzo ]
  * Support to run cinder daemons under systemd.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Sep 2014 10:15:10 +0000

cinder (2014.1.1-2) unstable; urgency=medium

  * cinder-volume now depends on tgt >= 1:1.0.17-1.1~ (Closes: 751703).

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Jun 2014 15:37:47 +0800

cinder (2014.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Removed fallback-to-None-on-missing-Glance-image-attrs.patch applied
    upstream.
  * Bumped python-six minimal requirements to 1.6.0.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Jun 2014 22:08:57 +0800

cinder (2014.1-7) unstable; urgency=medium

  * Now build-depends on openstack-pkg-tools >= 0.12~.



=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: bandit (>= 0.13.2),
                     python-anyjson,
                     python-babel,
                     python-barbicanclient (>= 3.3.0),
                     python-coverage,
                     python-crypto,
                     python-ddt (>= 0.7.0),
                     python-enum34,
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-glanceclient (>= 1:0.18.0),
                     python-greenlet,
                     python-hacking (>= 0.10.0),
                     python-iso8601,
                     python-keystonemiddleware (>= 2.0.0),
                     python-kombu,
                     python-lxml,
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.3),
                     python-mox3,
                     python-mysqldb,
                     python-netaddr (>= 0.7.12),
                     python-novaclient (>= 2:2.28.1),
                     python-os-brick (>= 0.4.0),
                     python-os-testr,
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 2.4.1),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.messaging (>= 1.16.0),
                     python-oslo.middleware (>= 2.8.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.reports,
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.service (>= 0.8.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslo.versionedobjects (>= 0.9.0),
                     python-oslo.vmware (>= 1.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 0.3.0),
                     python-paramiko (>= 1.13.0),
                     python-paste,
                     python-pastedeploy,
                     python-psutil,
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-pyparsing,
                     python-requests (>= 2.5.2),
                     python-retrying,
                     python-routes,
                     python-rtslib-fb (>= 2.1.57),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 0.9.9),
                     python-stevedore (>= 1.5.0),
                     python-swiftclient (>= 1:2.2.0),
                     python-taskflow (>= 1.16.0),
                     python-tempest-lib (>= 0.8.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-webob,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/cinder.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/cinder.git
Homepage: http://github.com/openstack/cinder

Package: python-cinder
Section: python
Architecture: all
Depends: python-anyjson,
         python-babel,
         python-barbicanclient (>= 3.3.0),
         python-ceph,
         python-crypto,
         python-eventlet (>= 0.17.4),
         python-glanceclient (>= 1:0.18.0),
         python-greenlet,
         python-hp3parclient,
         python-iso8601,
         python-keystonemiddleware (>= 2.0.0),
         python-kombu,
         python-lxml,
         python-migrate (>= 0.9.6),
         python-mysqldb,
         python-netaddr (>= 0.7.12),
         python-novaclient (>= 2:2.28.1),
         python-os-brick (>= 0.4.0),
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 2.4.1),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.messaging (>= 1.16.0),
         python-oslo.middleware (>= 2.8.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.reports,
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.service (>= 0.8.0),
         python-oslo.utils (>= 2.0.0),
         python-oslo.versionedobjects (>= 0.9.0),
         python-oslo.vmware (>= 1.16.0),
         python-osprofiler (>= 0.3.0),
         python-paramiko (>= 1.13.0),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-psutil,
         python-psycopg2 (>= 2.5),
         python-pymysql,
         python-pyparsing,
         python-requests (>= 2.5.2),
         python-retrying,
         python-routes,
         python-rtslib-fb (>= 2.1.57),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 0.9.9),
         python-stevedore (>= 1.5.0),
         python-swiftclient (>= 1:2.2.0),
         python-taskflow (>= 1.16.0),
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack block storage system - Python libraries
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Python libraries that are part of Cinder.

Package: cinder-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         python-cinder (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: OpenStack block storage system - common files
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Cinder.

Package: cinder-api
Architecture: all
Depends: adduser,
         cinder-common (= ${binary:Version}),
         debconf,
         python-keystoneclient,
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack block storage system - API server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder API server.

Package: cinder-volume
Architecture: all
Depends: adduser,
         cinder-common (= ${binary:Version}),
         lvm2,
         qemu-utils,
         tgt,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Suggests: ceph-common,
Description: OpenStack block storage system - Volume server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Volume server.

Package: cinder-scheduler
Architecture: all
Depends: cinder-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack block storage system - Scheduler server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-backup
Architecture: all
Depends: adduser,
         cinder-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack block storage system - Backup server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder backup service.

Package: cinder-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack block storage system - doc
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage
 solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd,sphinxdoc

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -f debian/cinder-common.config debian/cinder-common.postinst debian/cinder-api.config debian/cinder-api.postinst debian/cinder-volume.postinst
	rm -rf debian/*.upstart debian/*.service

override_dh_install:
	dh_install --fail-missing -Xbin/cinder-all
	install -D -m 0440 debian/cinder-common.sudoers $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common

	mkdir -p $(CURDIR)/debian/cinder-common/usr/share/cinder-common
#	$(CURDIR)/tools/config/generate_sample.sh from_tox
	PYTHONPATH=. oslo-config-generator --output-file $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf \
		--wrap-width 80 \
		--namespace cinder \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.config \
		--namespace oslo.concurrency \
		--namespace oslo.context \
		--namespace oslo.db \
		--namespace oslo.i18n \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware \
		--namespace oslo.policy \
		--namespace oslo.reports \
		--namespace oslo.rootwrap \
		--namespace oslo.serialization \
		--namespace oslo.service \
		--namespace oslo.utils \
		--namespace oslo.versionedobjects \
		--namespace oslo.vmware
	# The generator is currently missing enabled_backend and the [lvm]
	# section. This script fixes it until upstream gets smarter.
	chmod +x debian/gen-fixed-config
	./debian/gen-fixed-config
	#cp etc/cinder/cinder.conf.sample $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf

	# Set a default value for lock_path
	sed -i 's|^[ \t#]*lock_path[ \t]*=.*|lock_path = /var/lock/cinder|' $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf

	# Disable https in default setup, as this makes our CI fail
	sed -i 's/^[ \t#]*auth_protocol[ \t]*=.*/auth_protocol = http/' $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf

	# Default to keystone auth
	sed -i "s/#auth_strategy=noauth/auth_strategy=keystone/" $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf

	# Write only in /var/lib/cinder please
	sed -i 's|#[ \t#]*state_path[ \t]*=.*|state_path=/var/lib/cinder|' $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf

	# Fix the missing sql_connection directive
	#echo "# Connection to db:" >>$(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	#echo "sql_connection = sqlite:////var/lib/cinder/cinderdb" >>$(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf

	install -D -m 0644 $(CURDIR)/etc/cinder/logging_sample.conf $(CURDIR)/debian/cinder-common/usr/share/cinder-common/logging.conf

override_dh_fixperms:
	dh_fixperms -Xcinder_tgt.conf
	chmod 0440 $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-volume.postinst

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python setup.py build_sphinx
	cp -rf doc/build/html $(CURDIR)/debian/cinder-doc/usr/share/doc/cinder-doc
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/cinder/tags .*/(\d[\d\.]+)\.tar\.gz

## cinder 7.0.2

=== requirements.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 eventlet>=0.17.4
 greenlet>=0.3.2
 iso8601>=0.1.9
-keystonemiddleware>=2.0.0
+keystonemiddleware!=2.4.0,>=2.0.0
 kombu>=3.0.7
 lxml>=2.3
 netaddr!=0.7.16,>=0.7.12
@@ -18,14 +18,14 @@
 oslo.context>=0.2.0 # Apache-2.0
 oslo.db>=2.4.1 # Apache-2.0
 oslo.log>=1.8.0 # Apache-2.0
-oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
-oslo.middleware>=2.8.0 # Apache-2.0
+oslo.messaging!=1.17.0,!=1.17.1,!=2.6.0,!=2.6.1,!=2.7.0,!=2.8.0,!=2.8.1,!=2.9.0,!=3.1.0,>=1.16.0 # Apache-2.0
+oslo.middleware!=3.0.0,!=3.1.0,!=3.2.0,>=2.8.0 # Apache-2.0
 oslo.policy>=0.5.0 # Apache-2.0
 oslo.reports>=0.1.0 # Apache-2.0
 oslo.rootwrap>=2.0.0 # Apache-2.0
 oslo.serialization>=1.4.0 # Apache-2.0
 oslo.service>=0.7.0 # Apache-2.0
-oslo.utils>=2.0.0 # Apache-2.0
+oslo.utils!=2.6.0,>=2.0.0 # Apache-2.0
 oslo.versionedobjects>=0.9.0
 osprofiler>=0.3.0 # Apache-2.0
 paramiko>=1.13.0
@@ -35,9 +35,11 @@
 pyparsing>=2.0.1
 python-barbicanclient>=3.3.0
 python-glanceclient>=0.18.0
-python-novaclient>=2.28.1
+python-novaclient!=2.33.0,>=2.28.1
+python-keystoneclient!=1.8.0,>=1.6.0
 python-swiftclient>=2.2.0
-requests>=2.5.2
+pytz>=2013.6
+requests!=2.8.0,!=2.9.0,>=2.5.2
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
 Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7'
 Routes!=2.0,>=1.12.3;python_version!='2.7'

=== debian/changelog ===
cinder (2:7.0.2-0ubuntu1) wily; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1569502).
    - d/control: Add python-tz to (Build-)Depends.

 -- David Della Vecchia <ddv@canonical.com>  Wed, 20 Apr 2016 09:43:39 -0400

cinder (2:7.0.1-0ubuntu1) wily; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1530913):
    - d/p/lp1516085.patch: Dropped, included upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 07 Jan 2016 11:57:52 +0000

cinder (2:7.0.0-0ubuntu1.15.10.1) wily; urgency=medium

  * Ensure configured keystone endpoints are using in the Cinder quota
    module (LP: #1516085):
    - d/p/lp1516085.patch: Cherry pick fix from stable/liberty branch in
      advance of the next point release.

 -- James Page <james.page@ubuntu.com>  Tue, 15 Dec 2015 12:07:17 +0000

cinder (2:7.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 12:36:21 -0400

cinder (2:7.0.0~rc3-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.
  * d/control: Align dependencies with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Oct 2015 10:18:59 -0400

cinder (2:7.0.0~rc2-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Oct 2015 11:16:42 -0400

cinder (2:7.0.0~rc1-0ubuntu1) wily; urgency=medium

  * d/watch: Update for upstream rc versioning.
  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 28 Sep 2015 11:31:25 +0100

cinder (2:7.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/skip-failing-tests.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 15:49:21 -0400

cinder (2:7.0.0~b2-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/fix-requirements.patch: Dropped. dh_python2 no longer guesses
    dependencies.
  * d/p/skip-failing-tests.patch: Rebased.
  * d/rules: Remove .eggs directory in override_dh_auto_clean.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Aug 2015 15:24:17 -0400

cinder (2:7.0.0~b1-0ubuntu3) wily; urgency=medium

  * d/pydist-overrides: Ignore dependency on suds-jurko (provided by
    suds in distro).

 -- James Page <james.page@ubuntu.com>  Wed, 05 Aug 2015 10:48:34 +0200

cinder (2:7.0.0~b1-0ubuntu2) wily; urgency=medium

  * d/p/skip-failing-tests.patch: Skip single failing test in Ubuntu
    buildd environment due to limit egress network access, resolving
    FTBFS. 

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 09:39:28 +0100

cinder (2:7.0.0~b1-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 09 Jul 2015 09:28:33 +0100

cinder (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * New upstream release for OpenStack Kilo. (LP: #1449744)

  [ James Page ]
  * d/p/*: Refresh.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 03 May 2015 13:40:57 -0400

cinder (1:2015.1~rc1-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * New upstream milestone release:
    - d/control: Align with upstream dependencies.

  [ James Page ]
  * d/p/*: Refreshed. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Apr 2015 13:53:09 -0400

cinder (1:2015.1~b3-0ubuntu1) vivid; urgency=medium

  [ James Page ]
  * d/pydist-overrides: Add overrides for oslo packages.

  [ Corey Bryant ]
  * New upstream milestone release for OpenStack Kilo:
    - d/control: Align with upstream dependencies.
    - d/p/skip-huaweistorac-delete-snapshot-success-test.patch: Dropped.
      Patched test has been removed.

  [ James Page ]
  * d/control: Add missing BD on python-testresources.
  * d/p/fix-long-casting.patch: Workaround some problematic type casting between
    int/long (LP: #1435242).
  * d/p/fix-assert-raises-regex-tests.patch: Patchup incorrect usage of
    assertUsesRegex{p} in unit tests.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2015 11:07:20 +0100

cinder (1:2015.1~b2-0ubuntu1) vivid; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
    - d/control: Align with upstream dependencies.
    - d/p/fix-assert-raises-regex-tests.patch: Dropped. Fixed upstream.
    - d/p/remove-private-_lazy-import.patch: Dropped. Fixed upstream.
    - d/p/pep-0476.patch: Dropped. Fixed upstream.
    - d/p/skip-rtslib-test.patch: Rebased.
    - d/p/fix-requirements.patch: Rebased.
    - d/p/skip-huaweistorac-delete-snapshot-success-test.patch: Rebased.

  [ James Page ]
  * d/control: Transition to new non-namespaced oslo packages.
  * d/p/skip-rtslib-test.patch: Rewrite to be a little more elegant. 

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 16 Feb 2015 10:39:55 +0000

cinder (1:2015.1~b1-0ubuntu5) vivid; urgency=medium

  * d/p/remove-private-_lazy-import.patch: Cherry picked from master and
    adapted. Fixes tests that were importing internal i18n._lazy module.
  * d/p/pep-0476.patch: Deal with PEP-0476 certificate chain checking.
  * d/p/skip-ssl-tests.patch: Dropped in favor of pep-0476.patch.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Jan 2015 08:06:53 +0000

cinder (1:2015.1~b1-0ubuntu4) vivid; urgency=medium

  * Rebuild to pick up pkgos upstart generation fix.
    - d/control: Bump openstack-pkg-tools to ensure upstart fix inclusion.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jan 2015 10:40:32 -0500

cinder (1:2015.1~b1-0ubuntu3) vivid; urgency=medium

  * d/p/fix-iscsi-initiator-exception.patch: Dropped. Abandoned upstream.
  * d/p/skip-huaweistorac-delete-snapshot-success-test.patch: Handle OSError


=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9~),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-anyjson (>= 0.3.3),
                     python-babel (>= 1.3),
                     python-barbicanclient (>= 3.3.0),
                     python-coverage (>= 3.6),
                     python-crypto (>= 2.6),
                     python-ddt (>= 0.7.0),
                     python-enum34,
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-glanceclient (>= 1:0.18.0),
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.10.0),
                     python-iso8601 (>= 0.1.9),
                     python-keystonemiddleware (>= 2.0.0),
                     python-kombu (>= 3.0.7),
                     python-lxml (>= 2.3),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.2),
                     python-mox3 (>= 0.7.0),
                     python-netaddr (>= 0.7.12),
                     python-novaclient (>= 1:2.28.1),
                     python-os-brick (>= 0.4.0),
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 2.4.1),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.messaging (>= 1.16.0),
                     python-oslo.middleware (>= 2.8.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.reports (>= 0.1.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.service (>= 0.7.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslo.versionedobjects (>= 0.9.0),
                     python-oslo.vmware (>= 1.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-osprofiler (>= 0.3.0),
                     python-paramiko (>= 1.13.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pbr (>= 1.8),
                     python-psycopg2 (>= 2.5),
                     python-pymysql (>= 0.6.2),
                     python-pyparsing (>= 2.0.1),
                     python-requests (>= 2.5.2),
                     python-retrying (>= 1.2.3),
                     python-routes (>= 1.12.3),
                     python-rtslib-fb (>= 2.1.41),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 0.9.9),
                     python-stevedore (>= 1.5.0),
                     python-suds,
                     python-swiftclient (>= 1:2.2.0),
                     python-taskflow (>= 1.16.0),
                     python-tempest-lib (>= 0.8.0),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-tz (>= 2013.6),
                     python-webob (>= 1.2.3),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Homepage: http://launchpad.net/cinder
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/cinder
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/cinder
XS-Testsuite: autopkgtest

Package: python-cinder
Section: python
Architecture: all
Depends: python-anyjson (>= 0.3.3),
         python-babel (>= 1.3),
         python-barbicanclient (>= 3.3.0),
         python-crypto (>= 2.6),
         python-enum34,
         python-eventlet (>= 0.17.4),
         python-glanceclient (>= 1:0.18.0),
         python-greenlet (>= 0.3.2),
         python-iso8601 (>= 0.1.9),
         python-keystonemiddleware (>= 2.0.0),
         python-kombu (>= 3.0.7),
         python-lxml (>= 2.3),
         python-migrate (>= 0.9.6),
         python-netaddr (>= 0.7.12),
         python-novaclient (>= 1:2.28.1),
         python-os-brick (>= 0.4.0),
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 2.4.1),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.messaging (>= 1.16.0),
         python-oslo.middleware (>= 2.8.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.reports (>= 0.1.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.service (>= 0.7.0),
         python-oslo.utils (>= 2.0.0),
         python-oslo.versionedobjects (>= 0.9.0),
         python-oslo.vmware (>= 1.16.0),
         python-osprofiler (>= 0.3.0),
         python-paramiko (>= 1.13.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pbr (>= 1.8),
         python-pyparsing (>= 2.0.1),
         python-requests (>= 2.5.2),
         python-retrying (>= 1.2.3),
         python-routes (>= 1.12.3),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 0.9.9),
         python-stevedore (>= 1.5.0),
         python-suds,
         python-swiftclient (>= 1:2.2.0),
         python-taskflow (>= 1.16.0),
         python-tz (>= 2013.6),
         python-webob (>= 1.2.3),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-ceph,
          python-hp3parclient,
          python-rtslib-fb,
Description: Cinder Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Python library for Cinder.

Package: cinder-common
Architecture: all
Depends: adduser,
         python-cinder (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: Cinder storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains commons components for Cinder.

Package: cinder-api
Architecture: all
Depends: cinder-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Cinder storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder API server.

Package: cinder-volume
Architecture: all
Depends: cinder-common (= ${binary:Version}),
         lvm2,
         qemu-utils,
         tgt,
         ${misc:Depends},
         ${python:Depends},
Breaks: cinder-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 ),
Replaces: cinder-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 ),
Description: Cinder storage service - Volume server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Volume server.

Package: cinder-scheduler
Architecture: all
Depends: cinder-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-backup
Architecture: all
Depends: cinder-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder backup service.

## cinder 7.0.3

=== requirements.txt ===
--- 
+++ 
@@ -4,13 +4,13 @@
 
 pbr>=1.6
 anyjson>=0.3.3
-Babel>=1.3
+Babel!=2.3.0,!=2.3.1,!=2.3.2,!=2.3.3,>=1.3 # BSD
 enum34;python_version=='2.7' or python_version=='2.6'
 eventlet>=0.17.4
 greenlet>=0.3.2
 iso8601>=0.1.9
 keystonemiddleware!=2.4.0,>=2.0.0
-kombu>=3.0.7
+kombu!=4.0.0,>=3.0.7 # BSD
 lxml>=2.3
 netaddr!=0.7.16,>=0.7.12
 oslo.config>=2.3.0 # Apache-2.0
@@ -36,13 +36,13 @@
 python-barbicanclient>=3.3.0
 python-glanceclient>=0.18.0
 python-novaclient!=2.33.0,>=2.28.1
-python-keystoneclient!=1.8.0,>=1.6.0
+python-keystoneclient!=1.8.0,<3.0.0,>=1.6.0
 python-swiftclient>=2.2.0
 pytz>=2013.6
 requests!=2.8.0,!=2.9.0,>=2.5.2
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
-Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7'
-Routes!=2.0,>=1.12.3;python_version!='2.7'
+Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
+Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
 taskflow>=1.16.0
 rtslib-fb>=2.1.41
 six>=1.9.0
@@ -53,4 +53,4 @@
 WebOb>=1.2.3
 oslo.i18n>=1.5.0 # Apache-2.0
 oslo.vmware>=1.16.0 # Apache-2.0
-os-brick>=0.4.0 # Apache-2.0
+os-brick!=1.4.0,>=0.4.0 # Apache-2.0

=== debian/changelog ===
cinder (2:7.0.3-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1648071).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 07 Dec 2016 08:12:41 -0500

cinder (2:7.0.2-0ubuntu1~cloud1) trusty-liberty; urgency=medium

  * RBD: Delete snapshots if missing in the Ceph backend (LP: #1415905):
    - d/p/cinder-306610.patch: Apply patch from review 306610.

 -- Saverio Proto <saverio.proto@switch.ch>  Mon, 29 Aug 2016 20:42:39 +0000

cinder (2:7.0.2-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 May 2016 03:17:39 +0000
